"""==========================================================
منطق برنامه تعیین کننده کوچکترین مضرب مشترک دو عدد M , N
=========================================================="""
n = int(input("Please enter N: "))
m = int(input("Please enter M: "))
p = m*n
while m > 0:
    r = n % m
    n = m
    m = r
kmm = p/n
print("="*20,"\nKMM: ",kmm)